package net.ferrum.business.service;

import net.ferrum.business.domain.bo.QsProjectBo;
import net.ferrum.business.domain.vo.QsProjectVo;
import net.ferrum.common.core.domain.PageQuery;
import net.ferrum.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 模板信息Service接口
 *
 * @author 26554
 * @date 2025-04-21
 */
public interface IQsProjectService {

    /**
     * 查询模板信息
     */
    QsProjectVo queryById(Long id);

    /**
     * 查询模板信息列表
     */
    TableDataInfo<QsProjectVo> queryPageList(QsProjectBo bo, PageQuery pageQuery);

    /**
     * 查询模板信息列表
     */
    List<QsProjectVo> queryList(QsProjectBo bo);

    /**
     * 新增模板信息
     */
    Boolean insertByBo(QsProjectBo bo);

    /**
     * 修改模板信息
     */
    Boolean updateByBo(QsProjectBo bo);

    /**
     * 校验并批量删除模板信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
